echo off
REM This utility batch file optimizes program compaction.
REM Usage: REPACK input_prog output_prog
if "%2" == "" goto help

compack -i %1 %2

if errorlevel 16 goto pklite
if errorlevel 15 goto lzexe
if errorlevel 14 goto driver
if errorlevel 13 goto finish
if errorlevel 12 goto try_exe2bin
if errorlevel 11 goto try_exepack
if errorlevel 10 goto try_com2exe
if errorlevel 1  goto try_copy
goto finish

:pklite
rem pklite is a shareware utility available from PKWARE Inc.
pklite -x %1 pack$.$$$
if exist pack$.$$$ goto compack
go try_copy

rem unlzexe is a public domain utility.
:lzexe
unlzexe %1 pack$.$$$
goto compack

REM The EXE2BIN utility is included on your DOS system diskettes.
:try_exe2bin
exe2bin %1 pack$.$$$
:compack
if errorlevel 1  goto try_copy
compack pack$.$$$ %2
del pack$.$$$
if errorlevel 1  goto try_copy
goto finish

REM UNPACK.EXE is supplied by V Communications Inc to reverse EXEPACK
REM Alternatively UPACKEXE (part of LZEXE 0.91 package) could be used.
:try_exepack
unpack %1 pack$.$$$
goto compack

REM COM2EXE is supplied with the COMPACK package.
:try_com2exe
com2exe %1 pack$.$$$
goto compack

:help
echo Usage:-   REPACK input_program output_program
goto finish

:driver
:try_copy
del pack$.$$$
copy %1 %2
:finish


